package com.zfire.jiasm.syncdata.download.other.refunds;

import lombok.extern.slf4j.Slf4j;

/** 新做的接口
 * 根据工单号查询总部发送短信的详细信息
 * /api/message/ext/search
 */
@Slf4j
// @Component
public class Message {
    /*
    @Resource
    TableDataQueryTimeService tableDataQueryTimeService;
    @Resource
    OtherDownService otherDownService;

    private SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");

    @Scheduled(fixedDelayString = "${cxdxxq}")
    public void getMessage(){
        // 提取数据
        List<TableDataQueryTime> tdqts = tableDataQueryTimeService.lambdaQuery()
                .eq(TableDataQueryTime::getType,6)
                .eq(TableDataQueryTime::getSynStatus,0)
                .eq(TableDataQueryTime::getNeedDown,1)
                .list();
        log.info("查询总部发送短信的详细信息: \uF0B7{}",sdf.format(new Date()));

        for (TableDataQueryTime item:tdqts){
            try{
                // 查询
                otherDownService.detailMessage(item);
            } catch (Exception ex) {
                ex.printStackTrace();
                log.info("查询总部发送短信的详细信息失败");
            }
        }
        log.info("查询总部发送短信的详细信息结束: \uF0B7{}",sdf.format(new Date()));
    }*/

}
